import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { B2AccessLoginComponent } from './ui/auth/login/b2access/b2access-login.component';

const appRoutes: Routes = [
	{
		path: '',
		redirectTo: '/home',
		data: {
			breadcrumbs: false,
			title: 'GENERAL.TITLES.GENERAL'
		},
		pathMatch: 'full'
	},
	{
		path: 'datasetcreatewizard',
		loadChildren: './ui/dataset-create-wizard/dataset-create-wizard.module#DatasetCreateWizardModule',
		data: {
			breadcrumb: true,
			title: 'GENERAL.TITLES.DATASETCREATEWIZARD'
		}
	},
	{
		path: 'explore',
		loadChildren: './ui/explore-dataset/explore-dataset.module#ExploreDatasetModule',
		data: {
			breadcrumb: true,
			title: 'GENERAL.TITLES.EXPLORE'
		}
	},
	{
		path: 'explore-plans',
		loadChildren: './ui/explore-dmp/explore-dmp.module#ExploreDmpModule',
		data: {
			breadcrumb: true,
			title: 'GENERAL.TITLES.EXPLORE-PLANS'
		}
	},
	{
		path: 'datasets',
		loadChildren: './ui/dataset/dataset.module#DatasetModule',
		data: {
			breadcrumb: true,
			title: 'GENERAL.TITLES.DATASETS'
		}
	},
	{
		path: 'about',
		loadChildren: './ui/about/about.module#AboutModule',
		data: {
			breadcrumb: true,
			title: 'GENERAL.TITLES.ABOUT'
		}
	},
	{
		path: 'grants',
		loadChildren: './ui/grant/grant.module#GrantModule',
		data: {
			breadcrumb: true,
			title: 'GENERAL.TITLES.GRANTS'
		}
	},
	{
		path: 'plans',
		loadChildren: './ui/dmp/dmp.module#DmpModule',
		data: {
			breadcrumb: true,
			title: 'GENERAL.TITLES.PLANS'
		}
	},
	{
		path: 'dmp-profiles',
		loadChildren: './ui/admin/dmp-profile/dmp-profile.module#DmpProfileModule',
		data: {
			breadcrumb: true,
			title: 'GENERAL.TITLES.DMP-PROFILES'
		}
	},
	{
		path: 'quick-wizard',
		loadChildren: './ui/quick-wizard/quick-wizard.module#OuickWizardModule',
		data: {
			breadcrumb: true,
			title: "GENERAL.TITLES.QUICK-WIZARD"
		}
	},
	{
		path: 'dataset-profiles',
		loadChildren: './ui/admin/dataset-profile/dataset-profile.module#DatasetProfileModule',
		data: {
			breadcrumb: true,
			title: 'GENERAL.TITLES.DATASET-PROFILES'
		}
	},
	{
		path: 'home',
		loadChildren: './ui/dashboard/dashboard.module#DashboardModule',
		data: {
			breadcrumb: true
		}
	},
	{
		path: 'unauthorized',
		loadChildren: './ui/misc/unauthorized/unauthorized.module#UnauthorizedModule',
		data: {
			breadcrumb: true
		},
	},
	{
		path: 'users',
		loadChildren: './ui/admin/user/user.module#UserModule',
		data: {
			breadcrumb: true,
			title: 'GENERAL.TITLES.USERS'
		},
	},
	{
		path: 'profile',
		loadChildren: './ui/user-profile/user-profile.module#UserProfileModule',
		data: {
			breadcrumb: true,
			title: 'GENERAL.TITLES.PROFILE'
		},
	},
	{
		path: 'login/admin',
		loadChildren: './ui/auth/admin-login/admin-login.module#AdminLoginModule',
		data: {
			breadcrumb: true
		},
	},
	{
		path: 'login',
		loadChildren: './ui/auth/login/login.module#LoginModule',
		data: {
			breadcrumb: true,
			title: 'GENERAL.TITLES.LOGIN'
		},
	},
	{
		path: 'api/oauth/authorized/b2access',
		component: B2AccessLoginComponent,
		data: {
		},
	}
];

@NgModule({
	imports: [RouterModule.forRoot(appRoutes)],
	exports: [RouterModule],
})
export class AppRoutingModule { }

