import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { B2AccessLoginComponent } from './b2access/b2access-login.component';
import { EmailConfirmation } from './email-confirmation/email-confirmation.component';
import { LinkedInLoginComponent } from './linkedin-login/linkedin-login.component';
import { LoginComponent } from './login.component';
import { OrcidLoginComponent } from './orcid-login/orcid-login.component';
import { TwitterLoginComponent } from './twitter-login/twitter-login.component';

const routes: Routes = [
	{ path: '', component: LoginComponent },
	{ path: 'linkedin', component: LinkedInLoginComponent },
	{ path: 'twitter', component: TwitterLoginComponent },
	{ path: 'external/orcid', component: OrcidLoginComponent },
	{ path: 'external/b2access', component: B2AccessLoginComponent },
	{ path: 'confirmation/:token', component: EmailConfirmation },
	{ path: 'confirmation', component: EmailConfirmation }
];

@NgModule({
	imports: [RouterModule.forChild(routes)],
	exports: [RouterModule]
})
export class LoginRoutingModule { }
