import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { CommonFormsModule } from '../../common/forms/common-forms.module';
import { CommonUiModule } from '../../common/ui/common-ui.module';
import { ContactDialogModule } from '../../library/contact-dialog/contact-dialog.module';
import { FaqDialogComponent } from './sidebar-footer/faq/faq-dialog.component';
import { GlossaryDialogComponent } from './sidebar-footer/glossary/glossary-dialog.component';
import { SidebarFooterComponent } from './sidebar-footer/sidebar-footer.component';
import { SidebarComponent } from './sidebar.component';

@NgModule({
	imports: [
		CommonUiModule,
		CommonFormsModule,
		ContactDialogModule,
		RouterModule
	],
	declarations: [
		SidebarComponent,
		SidebarFooterComponent,
		GlossaryDialogComponent,
		FaqDialogComponent
	],
	entryComponents: [
		GlossaryDialogComponent,
		FaqDialogComponent
	],
	exports: [SidebarComponent]
})
export class SidebarModule { }
